#ifndef CAMERA_HPP
#define CAMERA_HPP
#include "image.hpp"
#include "main.hpp"
#include "canny.hpp"
#include "wrapper.hpp"
#define LEFT_CAMERA 0
#define RIGHT_CAMERA 1

#define MAX_DEVICES 64
#define MAX_FORMATS 64
#define MAX_PROPERTIES 64
#define FOURCC(a,b,c,d) (unsigned int)((((unsigned int)d)<<24)+(((unsigned int)c)<<16)+(((unsigned int)b)<<8)+a)

int capture_setup(unsigned long width, unsigned long height, int fps );
void* capture_thread(void* args);
void* slave_thread(void* args);
void capture_cleanup(void);
#endif // CAMERA_HPP
