#ifndef HOUGH_HPP
#define HOUGH_HPP
#include <iostream>
#include "image.hpp"
#include "wrapper.hpp"
void HoughOptimized(IplImage *raw_input, float dp, float min_dist,int min_radius, int max_radius,int canny_threshold, int acc_threshold,CvSeq* circles, int circles_max);
void HoughTransformCircle(BwImage& input,RgbImage& output, double radius);
void HoughTransformCircle(IplImage *raw_input, IplImage *raw_output);
void HoughTransformCircle(BwImage& input, RgbImage& output, int min_radius, int max_radius);
void fast_finding_and_fitting(BwImage& input, BwImage& temp, BwImage& accumulator, IplImage* raw_output);
void Hough_Transform_Edge_Direction(frame<RgbPixel>& camera, RgbImage &output);
#endif // HOUGH_HPP
