#ifndef COMMUNICATION_HPP
#define COMMUNICATION_HPP
#include "../gateway/messageQueue.h"
#include "../gateway/communication_structs.h"
//#include "../../../gateway/communication.h"
#include "../gateway/posix_messages.h"
void statusCheck();
extern int our_color;
void cylinder_configuration(posix_message_t &pm);
void Navsys_ourPosition(posix_message_t &pm);
void Navsys_EnemyPosition(posix_message_t &pm);
void* communication_thread(void *args);
void send_cylinder_positions(cylinder_config &cylinders);
void send_stop_to_self();
void send_ball_positions(ball_positions& balls);
void send_position_correction(coord *position, double orientation);
#endif
