#include <iostream>
#include <cstdio>
#include <cstdlib>

using namespace std;
int exposure_to_microsec(int exposure)
{
        if(exposure <= 500) {
                return exposure;
        }
        if(exposure <= 1000) {
                return (exposure-500)*10+500;
        }
        if(exposure <= 1705) {
                return (exposure-1000)*100+5500;
        }
        if(exposure <= 2399) {
                return ((exposure-1705)+76)*1000;
        }
        if(exposure <= 2902) {
                return ((exposure-2399)*10+770)*1000;
        }
        if(exposure <= 3304) {
                return ((exposure-2902)*100+5800)*1000;
        }
        if(exposure <= 3508) {
                return ((exposure-3304)*1000+46000)*1000;
        }
        if(exposure <= 3843) {
                return ((exposure-3508)*10+250)*1000000;
        }
}

int main(int argc, char* argv[]) {
	if(argc < 2) {
		printf("./convert_exposure <exposure>\n");
		return -1;
	}
	int result= exposure_to_microsec(atoi(argv[1]));
	int seconds = result/1000000;
	int ms = (result%1000000)/1000;
	int usec = (result%1000000)%1000; 
	printf("exposure: %d seconds, %d ms, %d usec\n",seconds,ms,usec);
	return 0;
}
