#ifndef POSITIONS_HPP
#define POSITIONS_HPP
#include <deque>
#include "communication.hpp"
#include <ctime>
#include <cstdlib>
unsigned long getTimestamp(timeval &input);
void OurPositionAdd(robot_position& element);
void EnemyPositionAdd(robot_position& element);
robot_position getOurPosInterpolated(unsigned long &timestamp);
robot_position getOurPosInterpolated(timeval &timestamp);
robot_position getEnemyPosInterpolated(timeval &timestamp);
robot_position getEnemyPosInterpolated(unsigned long &timestamp);
robot_position getPosInterpolated(timeval &timestamp,std::deque<robot_position> &position_list);
void camera_positions(robot_position &rotation_axis, robot_position &left_camera_pos, robot_position &right_camera_pos);
#endif // POSITIONS_HPP
